<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">PixelCountLodStrategy</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::PixelCountLodStrategy Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#aa904d7ba5622837991539bd3eb9dc815">assertSorted</a>(const Mesh::LodValueList &amp;values) const </td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a11a5d4cd5608ff417f1af6a248eb9de1">getBaseValue</a>() const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a8c96901b430694d728fa9417b6a3b723">getIndex</a>(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a57ef862c49a15e9f3dcc73d83d49377a">getIndex</a>(Real value, const Material::LodValueList &amp;materialLodValueList) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#af9920afcfe458d47025e955ed67e34a6">getIndexAscending</a>(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a086cb335b052378370e43dd6868a1a5d">getIndexAscending</a>(Real value, const Material::LodValueList &amp;materialLodValueList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a6f80f29378aa401e8071df39d6e2babd">getIndexDescending</a>(Real value, const Mesh::MeshLodUsageList &amp;meshLodUsageList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a7991ade884172ecbce3a28697a4f27ca">getIndexDescending</a>(Real value, const Material::LodValueList &amp;materialLodValueList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a4dc72d5700c871cb12a1409c7e71e08b">getName</a>() const </td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ae9138f5039108e2b4dd31c0fc88598fc">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#a6ca672a9da3daf6272b62ef452c8d038">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#aae80184002889618f1a7668e25078c05">getValue</a>(const MovableObject *movableObject, const Camera *camera) const </td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ac4d868a4f19d2e21dfe625afc2e5668c">getValueImpl</a>(const MovableObject *movableObject, const Camera *camera) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ae395d568f02a6a9c2019547b1784689c">isSorted</a>(const Mesh::LodValueList &amp;values) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#ae651397cff148b52d2f11c85ac7a21a8">isSortedAscending</a>(const Mesh::LodValueList &amp;values)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a1fbe6424bfb9378195af171ecfe67b4a">isSortedDescending</a>(const Mesh::LodValueList &amp;values)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a49536ec8eff8497fda98ea8ecab569df">LodStrategy</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a769ac92afc0408591b50fd33f71372d0">mName</a></td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; PixelCountLodStrategy &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ae9089ff157f212efb3bfd79ae9b28416">PixelCountLodStrategy</a>()</td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; PixelCountLodStrategy &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#acd3aa6bb947862708373a6d0b9007d07">sort</a>(Mesh::MeshLodUsageList &amp;meshLodUsageList) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#ad3ec3a979bce1a52d77770d0d77e8e7b">sortAscending</a>(Mesh::MeshLodUsageList &amp;meshLodUsageList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a09d598f542e925a2a69af2015d8decc1">sortDescending</a>(Mesh::MeshLodUsageList &amp;meshLodUsageList)</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html#ab2def0275debbe818d6c145f54346af4">transformBias</a>(Real factor) const </td><td><a class="el" href="classOgre_1_1PixelCountLodStrategy.html">Ogre::PixelCountLodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#aaa120bf9341ff0cada367395900b43a6">transformUserValue</a>(Real userValue) const </td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LodStrategy.html#a667bd94e7c15e2b5d5692146d22cd1f8">~LodStrategy</a>()</td><td><a class="el" href="classOgre_1_1LodStrategy.html">Ogre::LodStrategy</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; PixelCountLodStrategy &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
